package eu.jonahbauer.wizard.core.machine.states.trick;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.GameData;

import java.util.Collections;

public final class StartingTrick extends TrickState {
    public StartingTrick(Game game, GameData data) {
        super(game, data);
    }

    @Override
    public void onEnter() {
        transition(new PlayingCard(
                getGame(),
                getData().withStack(Collections.emptyList())
        ));
    }
}
