package eu.jonahbauer.wizard.core.machine.states.game;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.GameData;
import eu.jonahbauer.wizard.core.machine.states.GameState;
import eu.jonahbauer.wizard.core.messages.observer.ScoreMessage;

public final class Finishing extends GameState {

    public Finishing(Game game, GameData data) {
        super(game, data.requireScore());
    }

    @Override
    public void onEnter() {
        getGame().notify(new ScoreMessage(getScore()));
        getGame().finish();
    }
}
